Subject: grub2 crashes very often on user interaction

From: Elmar Stellnberger <[email-masked]>
Date: Mon, 9 May 2016 19:34:19 +0200

Package: grub
    Version: 1:2.02.beta2-6

    I am using Grub2 to boot most of my Linux installations. However 
whenever I do too much of editing to existing Grub config file entries 
at boot time Grub2 will crash. This happens especially often when I type 
the same keystroke multiple times in sequence or when I type very 
rapidly. It then hangs and a reboot is required. I am experiencing the 
same issue with different hardware; i.e. different computers; laptops 
and desktops using BIOS.
    This could be a security issue similar to another one which has 
already been fixed for typing the delete key multiple times (as far as I 
remember). Nonetheless the issue is very annoying when you have large 
boot menus to navigate in or when you need to experiment with different 
setups.